org.eclipse.net4j.db.ddl

## Interface IDBNamedElement

- All Superinterfaces:
    IDBElement, INotifier
  All Known Subinterfaces:
    IDBDelta, IDBDeltaWithPosition, IDBDeltaWithProperties, IDBField, IDBFieldDelta, IDBIndex, IDBIndexDelta, IDBIndexField, IDBIndexFieldDelta, IDBPropertyDelta<T>, IDBSchema, IDBSchemaDelta, IDBSchemaElement, IDBTable, IDBTableDelta, InternalDBField, InternalDBIndex, InternalDBIndexField, InternalDBNamedElement, InternalDBSchema, InternalDBSchemaElement, InternalDBTable
  All Known Implementing Classes:
    org.eclipse.net4j.internal.db.ddl.DBNamedElement, org.eclipse.net4j.internal.db.ddl.DBSchema, DBSchema, org.eclipse.net4j.internal.db.ddl.DBSchemaElement

      public interface IDBNamedElement
      extends IDBElement

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html